## filesink

filesink — Write stream to a file

## Synopsis

                        GstFileSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstFileSink

## Implemented Interfaces

GstFileSink implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "buffer-mode"              GstFileSinkBufferMode  : Read / Write
      "buffer-size"              guint                 : Read / Write
      "append"                   gboolean              : Read / Write

## Description

Write incoming data to a file in the local file system.

### Example launch line

    1

    gst-launch v4l2src num-buffers=1 ! jpegenc ! filesink location=capture1.jpeg

Capture one frame from a v4l2 camera and save as jpeg image.

## Details

### GstFileSink

    typedef struct _GstFileSink GstFileSink;

Opaque GstFileSink structure.

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the file to write.

Default value: NULL

### The `"buffer-mode"` property

      "buffer-mode"              GstFileSinkBufferMode  : Read / Write

The buffering mode to use.

Default value: Default buffering

### The `"buffer-size"` property

      "buffer-size"              guint                 : Read / Write

Size of buffer in number of bytes for line or full buffer-mode.

Default value: 65536

### The `"append"` property

      "append"                   gboolean              : Read / Write

Append to an already existing file.

Default value: FALSE

Since 0.10.25

## See Also

GstFileSrc